# Maintainer: Librewish <librewish@garudalinux.org>
# Maintainer: dr460nf1r3 <dr460nf1r3 at garudalinux dot org>

pkgname=garuda-hooks
pkgdesc="Additions and enhancements for Garuda Linux"
pkgver=2.0.0
pkgrel=2
arch=('any')
license=('GPL')
depends=('pacman' 'pacman-contrib' 'chaotic-mirrorlist' 'nss-mdns' 'rebuild-detector' 'kernel-modules-hook')
conflicts=('pacman-pkgfile-hook')
install=$pkgname.install
source=(000_pacman-sync.hook
        enable-os-prober
        foreign.hook
        garuda-hooks-runner
        garuda-hooks-runner.hook
        grub-fix-initrd-generation
        grub-fix-initrd-generation.hook
        issue.hook
        just-reboot.hook
        lsb-release.hook
        mkinitcpio-grub-update.hook
        nsswitch.hook
        orphans.hook
        os-prober.hook
        os-release.hook
        pacnew-check.hook
        pkgfile.hook
        zzz_pacman-sync.hook)
md5sums=('44c805d4ad83ec04e2a8873d69455e59'
         'b27746bf3f268f81507a7eb2d738aed1'
         'e0f95c27949d32c8e05bc2d5b07605a6'
         '289e50d29d68f8ce4e541ee8a8916d3b'
         '7eb16aa6b4149e1096bf2a3c4347fe79'
         '453b5a8a15a742127199ca5dcc884af0'
         '34cb92807636487dcf350df2d207a4ee'
         '7a0d5063bf3c550c40d7f3cbe4a36f7a'
         '72e87ad5edbc811f4f658ab9728b92ba'
         'a7fa40206fe9d4c1486553927e9110d0'
         'b07b3e2ca52d39a4c4a6701c1c3a9a3b'
         'ae5436740e69fa1ab208974b74a2ed5a'
         '8d7ee665c78f08c9b90531757798ecd4'
         '5944c006012914ada2c89f5af6cafe99'
         '092d99bfa13f6c2b4afa246f64883c1c'
         'e5274c70d324eb139960f3a6e8e99a19'
         '3a40e013d11df83d22dd1545a63cb163'
         '44c805d4ad83ec04e2a8873d69455e59')

package() {
  cd $srcdir

  install -d $pkgdir/usr/share/libalpm/hooks
  install -Dm644 000_pacman-sync.hook $pkgdir/usr/share/libalpm/hooks/000_pacman-sync.hook
  install -Dm644 foreign.hook $pkgdir/usr/share/libalpm/hooks/foreign.hook
  install -Dm644 garuda-hooks-runner.hook $pkgdir/usr/share/libalpm/hooks/garuda-hooks-runner.hook
  install -Dm644 grub-fix-initrd-generation.hook $pkgdir/usr/share/libalpm/hooks/grub-fix-initrd-generation.hook
  install -Dm644 issue.hook $pkgdir/usr/share/libalpm/hooks/issue.hook
  install -Dm644 just-reboot.hook $pkgdir/usr/share/libalpm/hooks/just-reboot.hook
  install -Dm644 lsb-release.hook $pkgdir/usr/share/libalpm/hooks/lsb-release.hook
  install -Dm644 mkinitcpio-grub-update.hook $pkgdir/usr/share/libalpm/hooks/mkinitcpio-grub-update.hook
  install -Dm644 nsswitch.hook $pkgdir/usr/share/libalpm/hooks/nsswitch.hook
  install -Dm644 orphans.hook $pkgdir/usr/share/libalpm/hooks/orphans.hook
  install -Dm644 os-prober.hook $pkgdir/usr/share/libalpm/hooks/os-prober.hook
  install -Dm644 os-release.hook $pkgdir/usr/share/libalpm/hooks/os-release.hook
  install -Dm644 pacnew-check.hook $pkgdir/usr/share/libalpm/hooks/pacnew-check.hook
  install -Dm644 pkgfile.hook $pkgdir/usr/share/libalpm/hooks/pkgfile.hook
  install -Dm644 zzz_pacman-sync.hook $pkgdir/usr/share/libalpm/hooks/zzz_pacman-sync.hook
  
  install -d $pkgdir/usr/bin
  install -Dm755 enable-os-prober $pkgdir/usr/bin/enable-os-prober
  install -Dm755 garuda-hooks-runner $pkgdir/usr/bin/garuda-hooks-runner
  install -Dm755 grub-fix-initrd-generation $pkgdir/usr/bin/grub-fix-initrd-generation
}
